cURL
curl --request GET \ --url https://api.duohub.ai/files/get/{id} \ --header 'X-API-Key: <api-key>'
{ "status": "success", "data": { "id": "<string>", "name": "<string>", "extension": "<string>", "bronzeKey": "<string>", "silverTranscriptKey": "<string>", "silverAudioKey": "<string>", "goldAudioKey": "<string>", "goldChunkKey": "<string>", "goldGraphKey": "<string>", "aiKey": "<string>", "externalURI": "<string>", "content": "<string>", "length": 123, "size": 123, "tokens": 123, "numSpeakers": 123, "hiddenFilesTotal": 123, "hiddenFilesProcessed": 123, "hiddenFilesCreated": 123, "hiddenFilesIngested": 123, "jobID": "<string>", "userID": "<string>", "memoryID": "<string>", "botID": "<string>", "source": "<string>", "category": "<string>", "fileType": "<string>", "originRegion": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
Get a single file by ID
Documentation IndexFetch the complete documentation index at: https://docs.duohub.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.duohub.ai/llms.txt
Use this file to discover all available pages before exploring further.
Your duohub API key. Type: str
ID of the file to retrieve
File retrieved successfully
success
Show child attributes